Bug 161984 - Documentation RHAPS User Guide displays invalid multiprotocol configuration
Summary: Documentation RHAPS User Guide displays invalid multiprotocol configuration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: jonas (Show other bugs)
(Show other bugs)
Version: 2.0-beta
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Frank Ch. Eigler
QA Contact:
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 20:43 UTC by Fernando Nasser
Modified: 2010-02-21 21:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-21 21:55:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fernando Nasser 2005-06-28 20:43:27 UTC
Description of problem:

The section
3.3. Configuring the Communication Protocol and JNDI
3.3.1. Choosing the Protocol
has the example:

# jonas rmi activation (choose from jrmp, iiop, and cmi) 
carol.protocols=jrmp,iiop

The carol.properties file now has the comment 
# jonas rmi activation (iiop, irmi, jrmp, jeremie, cmi)

and the order _is_ important, so the above setting would have to be
carol.protocols=iiop,jrmp

We must mention that if multiple protocols are specifies and iiop are among
them, then it has to be the first.  One would rather specify the protocols in
the order they are listed in the comment.

In any case, this is a temporary restriction.  A solution is being proposed. 
The number of the jonas bug opened is  303715





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike Behm 2005-11-03 13:31:15 UTC
The order of the protocols has been changed to reflect the (previously?) 
required order, but given that there is a proposal to fix the software,
I have not mentioned any restrictions to the order.

Comment 2 Fernando Nasser 2005-11-03 15:10:20 UTC
I am confirming with JOnAS team if this has been fixed for good.

Comment 3 Fernando Nasser 2005-11-03 15:14:02 UTC
JOnAS team confirms it should work.  If not, it is a new bug.

Deepak, to make sure we don't have a regression, better switch the order of the
protocols on that second test run: make iiop the second.

Comment 4 Mike Behm 2006-05-03 13:25:00 UTC
This has been fixed in the documentation--just in case the bug in the code still
exists.

Comment 5 David Lawrence 2006-07-18 03:47:15 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 6 Frank Ch. Eigler 2010-02-21 21:55:48 UTC
assumed fixed long ago


Note You need to log in before you can comment on or make changes to this bug.